org.codehaus.groovy.runtime.metaclass

## Class MetaMethodIndex.CacheEntry

- java.lang.Object
- - org.codehaus.groovy.runtime.metaclass.MetaMethodIndex.CacheEntry

Enclosing class:
  MetaMethodIndex

    public static class MetaMethodIndex.CacheEntry
    extends java.lang.Object

### Field Summary

Fields
`MetaMethod` `method`
`java.lang.Class[]` `params`

### Constructor Summary

Constructors
Constructor and Description
`MetaMethodIndex.CacheEntry(java.lang.Class[] params, MetaMethod method)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### params

    public final java.lang.Class[] params

#### method

    public final MetaMethod method

### Constructor Detail

#### MetaMethodIndex.CacheEntry

    public MetaMethodIndex.CacheEntry(java.lang.Class[] params,
                              MetaMethod method)